
const Sequelize = require("sequelize");
// 字典表
module.exports = (db) => {
  return db.define("sys_parameter", {
    key: {
      type: Sequelize.STRING(100),
      allowNull: false,
      defaultValue: "",
  },

    value: {
      type: Sequelize.STRING(100),
      allowNull: false,
      defaultValue: "",
  },

    remark: {
      type: Sequelize.STRING(500),
      allowNull: false,
      defaultValue: "",
  },

  // 是否允许修改 0 允许，1 不允许
    is_modified: {
      type: Sequelize.INTEGER(2),
      allowNull: false,
      defaultValue: 0,
  },
  });
};


